<template>
  <div class="public-title">
    <div class="public-title-left">
      <slot name="title" :title="title">
        {{ title }}
      </slot>
    </div>
    <div class="public-title-right" v-if="$slots['title-end']">
      <slot name="title-end"></slot>
    </div>
  </div>
</template>

<script>

export default {
  name: 'PublicTitle',
  props: {
    title: {
      default: '我是标题',
      type: String
    }
  },
  data() {
    return {}
  },
  mounted() {

  },
  methods: {}
}
</script>

<style lang="scss" scoped>
.public-title {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 20px 20px 0;

  .public-title-left {
    display: flex;
    align-items: center;
    column-gap: 8px;
    font-weight: 600;
    color: #1150a0;
    font-size: 14PX;

    &::before {
      content: '';
      width: 4px;
      height: 16px;
      background-color: #4e74e0;
    }
  }


}
</style>
